[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.FieldKind

The kind of field.

## Declaration

Source position: db.pas line 426

`published property TField.FieldKind: TFieldKind read FFieldKind write FFieldKind;`

## Description

FieldKind indicates the type of the TField instance. Besides TField instances that represent fields present in the underlying data records, there can also be calculated or lookup fields. This property determines what kind of field the TField instance is.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.